C
C This subroutine adds the product of b and c to a in
C elementwise fashion.
C
      subroutine elwise(a, b, c)
      real a(100), b(100), c(100)

      integer i

      do i = 1,100
         a(i) = a(i) + b(i) * c(i)
      end do

      return
      end
